module ResqueWeb
  class DelayedController < ResqueWeb::ApplicationController

    # Display all jobs in the failure queue
    #
    # @param [Hash] params
    # @option params [String] :class filters failures shown by class
    # @option params [String] :queue filters failures shown by failure queue name
    def index
      if params[:klass].present?
        Resque.find_delayed_selection('Dsc::Jobs::Marketing::ActivateScheduledCampaignCommunication'){ |i| puts i; true }

      end
    end

    # remove an individual job from the failure queue
    def destroy
      Resque::Failure.remove(params[:id])
      redirect_to failures_path(redirect_params)
    end

    # destroy all jobs from the failure queue
    def destroy_all
      queue = params[:queue] || 'failed'
      Resque::Failure.clear(queue)
      redirect_to failures_path(redirect_params)
    end



    private

  end
end